class_name DroppedBlock
extends Node3D


@export var block_scale: float = .25

@onready var animation_player: AnimationPlayer = $AnimationPlayer
@onready var block: Block = $Block


func initialize(id: String, _position: Vector3) -> void:
	_position.y -= .2 # Bring the block closer to the floor (Probably a better way to handle this)
	position = _position
	block.set_id(id)
	block.collision_shape.disabled = true
	block.scale = Vector3(block_scale, block_scale, block_scale)
	animation_player.play("start_animation")
